ExtendedData (KML Framework API)
Keywords: org.boehn.kmlframework.kml.ExtendedData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class ExtendedData

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.ExtendedData

    public class ExtendedData

extends KmlObject

Constructor Summary
`ExtendedData()`
`ExtendedData(java.util.List<Data> dataElements, java.lang.String schemaUrl, java.util.List<SimpleData> simpleDataElements, java.lang.String nameSpace, java.lang.String customContent)`

Method Summary
`java.lang.String` | `getCustomContent()`
`java.util.List<Data>` | `getDataElements()`
`java.lang.String` | `getNameSpace()`
`java.lang.String` | `getSchemaUrl()`
`java.util.List<SimpleData>` | `getSimpleDataElements()`
`void` | `setCustomContent(java.lang.String customContent)`
`void` | `setDataElements(java.util.List<Data> dataElements)`
`void` | `setNameSpace(java.lang.String nameSpace)`
`void` | `setSchemaUrl(java.lang.String schemaUrl)`
`void` | `setSimpleDataElements(java.util.List<SimpleData> simpleDataElements)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedData

    public ExtendedData()

### ExtendedData

    public ExtendedData(java.util.List<Data> dataElements,
                        java.lang.String schemaUrl,
                        java.util.List<SimpleData> simpleDataElements,
                        java.lang.String nameSpace,
                        java.lang.String customContent)

Method Detail

### getDataElements

    public java.util.List<Data> getDataElements()

### setDataElements

    public void setDataElements(java.util.List<Data> dataElements)

### getSchemaUrl

    public java.lang.String getSchemaUrl()

### setSchemaUrl

    public void setSchemaUrl(java.lang.String schemaUrl)

### getSimpleDataElements

    public java.util.List<SimpleData> getSimpleDataElements()

### setSimpleDataElements

    public void setSimpleDataElements(java.util.List<SimpleData> simpleDataElements)

### getNameSpace

    public java.lang.String getNameSpace()

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

### getCustomContent

    public java.lang.String getCustomContent()

### setCustomContent

    public void setCustomContent(java.lang.String customContent)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD